﻿
############################################
#
# Medeek Design Inc. - Medeek Truss Plugin - Copyright 2015-2017
# Language Files for Roof Trusses
#
# Name:  MEDEEK_TRUSS
# http://design.medeek.com
# Author: Nathaniel P. Wilkerson PE
# Created:  Nov. 16, 2017
# Last Revision:  Nov. 18, 2017
# Version 1.0.0
# Company: Medeek Design Inc.
#
#  Language files for the Truss Module of the Medeek Truss Plugin:
#
# English (en), French (fr), Spanish (es), German (de), Russian (ru), Japanese (ja), Swedish (sv), Korean (ko), Chinese (zh)
#
# Place this file in the "lang" sub-folder of the Medeek Truss Plugin
#
#############################################



# Define Module Hierarchy

module Medeek_Engineering_Inc_Extensions

	module MedeekTrussPlugin

##############################
#
# Class Methods of Plugin
#
##############################

class MedeekMethods
  	class << self


##############################
#
# Language Files
#
##############################


def get_language

	# Get language
	
	if @Language_db == "fr"
		
		@Langname = "Français"

		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"
	
		@Trs.update({
		"Geometry" => "Géométrie",
		"Truss Type: " => "Type de Treillis: ",
		"Out-to-out Span (m): " => "Sortir Dehors Envergure (ft.): ",
		"Top chord Pitch (x/12): " => "Haut Corde Hauteur (x/12): ",
		"Top chord Angle (deg): " => "Haut Corde Hauteur (deg): ",
		"Overhang Left (mm): " => "Surplombe Gauche (mm): ",
		"Overhang Right (mm): " => "Surplombe Droite (mm): ",
		"TC Size (mm): " => "Haut Corde Taille (mm): ",
		"BC Size (mm): " => "Bas Corde Taille (mm): ",
		"Web Size (mm): " => "Réseau Taille (mm): ",
		"Ply Thickness (mm): " => "Epaisseur (mm): ",
		"Raised Heel: " => "Talon Surélevé: ",
		"Heel Height (mm): " => "Hauteur du Talon (mm): ",
		"Parameters" => "Paramètres",
		"Bldg. Length (m): " => "Longueur du Bâtiment (m): ",
		"Truss Spacing (mm): " => "Espacement des Treillis (mm): ",
		"Gable End Trusses: " => "Gâble Treillis: ",
		"Gable Stud Spacing (mm): " => "Espacement des Gâble Clou (mm): ",
		"Adv. Roof Options: " => "Options de Toit Avancées: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "Géométrie",
		"Truss Type: " => "Type de Treillis: ",
		"Out-to-out Span (ft.): " => "Sortir Dehors Envergure (ft.): ",
		"Top chord Pitch (x/12): " => "Haut Corde Hauteur (x/12): ",
		"Top chord Angle (deg): " => "Haut Corde Hauteur (deg): ",
		"Overhang Left (in.): " => "Surplombe Gauche (in.): ",
		"Overhang Right (in.): " => "Surplombe Droite (in.): ",
		"TC Size (in.): " => "Haut Corde Taille (in.): ",
		"BC Size (in.): " => "Bas Corde Taille (in.): ",
		"Web Size (in.): " => "Réseau Taille (in.): ",
		"Ply Thickness (in.): " => "Epaisseur (in.): ",
		"Raised Heel: " => "Talon Surélevé: ",
		"Heel Height (in.): " => "Hauteur du Talon (in.): ",
		"Parameters" => "Paramètres",
		"Bldg. Length (ft.): " => "Longueur du Bâtiment (ft.): ",
		"Truss Spacing (in.): " => "Espacement des Treillis (in.): ",
		"Gable End Trusses: " => "Gâble Treillis: ",
		"Gable Stud Spacing (in.): " => "Espacement des Gâble Clou (in.): ",
		"Adv. Roof Options: " => "Options de Toit Avancées: ",
		"test" => "test"
		})

		end


	elsif @Language_db == "es"
	
		@Langname = "Español"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "Geometría",
		"Truss Type: " => "Tipo de Braguero: ",
		"Out-to-out Span (m): " => "Envergadura (m): ",
		"Top chord Pitch (x/12): " => "Pendiente de Acorde Superior (x/12): ",
		"Top chord Angle (deg): " => "Pendiente de Acorde Superior (deg): ",
		"Overhang Left (mm): " => "Voladizo Izquierdo (mm): ",
		"Overhang Right (mm): " => "Voladizo Derecho (mm): ",
		"TC Size (mm): " => "Acorde Superior Tamaño (mm): ",
		"BC Size (mm): " => "Acorde Inferior Tamaño (mm): ",
		"Web Size (mm): " => "Web Tamaño (mm): ",
		"Ply Thickness (mm): " => "Espesor de la Capa (mm): ",
		"Raised Heel: " => "Talón Levantado: ",
		"Heel Height (mm): " => "Altura del Talón (mm): ",
		"Parameters" => "Parámetros",
		"Bldg. Length (m): " => "Longitud del Edificio (m): ",
		"Truss Spacing (mm): " => "Espaciado de Armadura (mm): ",
		"Gable End Trusses: " => "Braguero de Aguilón: ",
		"Gable Stud Spacing (mm): " => "Espaciamiento de Espárrago (mm): ",
		"Adv. Roof Options: " => "Opciones Avanzadas de Techo: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "Geometría",
		"Truss Type: " => "Tipo de Braguero: ",
		"Out-to-out Span (ft.): " => "Envergadura (ft.): ",
		"Top chord Pitch (x/12): " => "Pendiente de Acorde Superior (x/12): ",
		"Top chord Angle (deg): " => "Pendiente de Acorde Superior (deg): ",
		"Overhang Left (in.): " => "Voladizo Izquierdo (in.): ",
		"Overhang Right (in.): " => "Voladizo Derecho (in.): ",
		"TC Size (in.): " => "Acorde Superior Tamaño (in.): ",
		"BC Size (in.): " => "Acorde Inferior Tamaño (in.): ",
		"Web Size (in.): " => "Web Tamaño (in.): ",
		"Ply Thickness (in.): " => "Espesor de la Capa (in.): ",
		"Raised Heel: " => "Talón Levantado: ",
		"Heel Height (in.): " => "Altura del Talón (in.): ",
		"Parameters" => "Parámetros",
		"Bldg. Length (ft.): " => "Longitud del Edificio (ft.): ",
		"Truss Spacing (in.): " => "Espaciado de Armadura (in.): ",
		"Gable End Trusses: " => "Braguero de Aguilón: ",
		"Gable Stud Spacing (in.): " => "Espaciamiento de Espárrago (in.): ",
		"Adv. Roof Options: " => "Opciones Avanzadas de Techo: ",
		"test" => "test"
		})
	
		end

	elsif @Language_db == "de"

		@Langname = "Deutsche"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "Geometrie",
		"Truss Type: " => "Art das Fachwerk: ",
		"Out-to-out Span (m): " => "Spannweite (m): ",
		"Top chord Pitch (x/12): " => "Oberer Akkordabstand (x/12): ",
		"Top chord Angle (deg): " => "Oberer Akkordabstand (deg): ",
		"Overhang Left (mm): " => "Linker Überhang (mm): ",
		"Overhang Right (mm): " => "Rechter Überhang (mm): ",
		"TC Size (mm): " => "Obergurtgröße (mm): ",
		"BC Size (mm): " => "Untergurtgröße (mm): ",
		"Web Size (mm): " => "Webgröße (mm): ",
		"Ply Thickness (mm): " => "Schichtdicke (mm): ",
		"Raised Heel: " => "Erhöhte Ferse: ",
		"Heel Height (mm): " => "Absatzhöhe (mm): ",
		"Parameters" => "Parameter",
		"Bldg. Length (m): " => "Länge das Gebäude (m): ",
		"Truss Spacing (mm): " => "Fachwerkabstand (mm): ",
		"Gable End Trusses: " => "Giebel Ende Fachwerk: ",
		"Gable Stud Spacing (mm): " => "Giebelabstand (mm): ",
		"Adv. Roof Options: " => "Erweiterte Dachoptionen: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "Geometrie",
		"Truss Type: " => "Art das Fachwerk: ",
		"Out-to-out Span (ft.): " => "Spannweite (ft.): ",
		"Top chord Pitch (x/12): " => "Oberer Akkordabstand (x/12): ",
		"Top chord Angle (deg): " => "Oberer Akkordabstand (deg): ",
		"Overhang Left (in.): " => "Linker Überhang (in.): ",
		"Overhang Right (in.): " => "Rechter Überhang (in.): ",
		"TC Size (in.): " => "Obergurtgröße (in.): ",
		"BC Size (in.): " => "Untergurtgröße (in.): ",
		"Web Size (in.): " => "Webgröße (in.): ",
		"Ply Thickness (in.): " => "Schichtdicke (in.): ",
		"Raised Heel: " => "Erhöhte Ferse: ",
		"Heel Height (in.): " => "Absatzhöhe (in.): ",
		"Parameters" => "Parameter",
		"Bldg. Length (ft.): " => "Länge das Gebäude (ft.): ",
		"Truss Spacing (in.): " => "Fachwerkabstand (in.): ",
		"Gable End Trusses: " => "Giebel Ende Fachwerk: ",
		"Gable Stud Spacing (in.): " => "Giebelabstand (in.): ",
		"Adv. Roof Options: " => "Erweiterte Dachoptionen: ",
		"test" => "test"
		})

		end
	
	elsif @Language_db == "ru"

		@Langname = "Русский"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "геометрия",
		"Truss Type: " => "тип фермы: ",
		"Out-to-out Span (m): " => "простираться (m): ",
		"Top chord Pitch (x/12): " => "верхний шаг аккорда (x/12): ",
		"Top chord Angle (deg): " => "верхний шаг аккорда (deg): ",
		"Overhang Left (mm): " => "навес слева (mm): ",
		"Overhang Right (mm): " => "свес справа (mm): ",
		"TC Size (mm): " => "верхний размер аккорда (mm): ",
		"BC Size (mm): " => "размер нижнего аккорда (mm): ",
		"Web Size (mm): " => "размер веб-сайта (mm): ",
		"Ply Thickness (mm): " => "толщина слоя (mm): ",
		"Raised Heel: " => "поднятый каблук: ",
		"Heel Height (mm): " => "высота каблука (mm): ",
		"Parameters" => "параметры",
		"Bldg. Length (m): " => "длина здания (m): ",
		"Truss Spacing (mm): " => "межстрочный интервал (mm): ",
		"Gable End Trusses: " => "торцевая ферма: ",
		"Gable Stud Spacing (mm): " => "расстояние между стойками (mm): ",
		"Adv. Roof Options: " => "расширенные варианты крыши: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "геометрия",
		"Truss Type: " => "тип фермы: ",
		"Out-to-out Span (ft.): " => "простираться (ft.): ",
		"Top chord Pitch (x/12): " => "верхний шаг аккорда (x/12): ",
		"Top chord Angle (deg): " => "верхний шаг аккорда (deg): ",
		"Overhang Left (in.): " => "навес слева (in.): ",
		"Overhang Right (in.): " => "свес справа (in.): ",
		"TC Size (in.): " => "верхний размер аккорда (in.): ",
		"BC Size (in.): " => "размер нижнего аккорда (in.): ",
		"Web Size (in.): " => "размер веб-сайта (in.): ",
		"Ply Thickness (in.): " => "толщина слоя (in.): ",
		"Raised Heel: " => "поднятый каблук: ",
		"Heel Height (in.): " => "высота каблука (in.): ",
		"Parameters" => "параметры",
		"Bldg. Length (ft.): " => "длина здания (ft.): ",
		"Truss Spacing (in.): " => "межстрочный интервал (in.): ",
		"Gable End Trusses: " => "торцевая ферма: ",
		"Gable Stud Spacing (in.): " => "расстояние между стойками (in.): ",
		"Adv. Roof Options: " => "расширенные варианты крыши: ",
		"test" => "test"
		})

		end

	elsif @Language_db == "ja"

		@Langname = "日本語"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "幾何",
		"Truss Type: " => "トラスの形: ",
		"Out-to-out Span (m): " => "全長 (m): ",
		"Top chord Pitch (x/12): " => "上垂木 (x/12): ",
		"Top chord Angle (deg): " => "上垂木 (deg): ",
		"Overhang Left (mm): " => "左の張り出し (mm): ",
		"Overhang Right (mm): " => "右の張り出し (mm): ",
		"TC Size (mm): " => "上垂木寸法 (mm): ",
		"BC Size (mm): " => "下垂木寸法 (mm): ",
		"Web Size (mm): " => "内装材寸法 (mm): ",
		"Ply Thickness (mm): " => "プライの厚さ (mm): ",
		"Raised Heel: " => "上踵: ",
		"Heel Height (mm): " => "踵高さ (mm): ",
		"Parameters" => "パラメーター",
		"Bldg. Length (m): " => "建物の長さ (m): ",
		"Truss Spacing (mm): " => "トラスの間隔 (mm): ",
		"Gable End Trusses: " => "切り妻のトラス: ",
		"Gable Stud Spacing (mm): " => "切り妻のスタッド間隔 (mm): ",
		"Adv. Roof Options: " => "高度な屋根選択: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "幾何",
		"Truss Type: " => "トラスの形: ",
		"Out-to-out Span (ft.): " => "全長 (ft.): ",
		"Top chord Pitch (x/12): " => "上垂木 (x/12): ",
		"Top chord Angle (deg): " => "上垂木 (deg): ",
		"Overhang Left (in.): " => "左の張り出し (in.): ",
		"Overhang Right (in.): " => "右の張り出し (in.): ",
		"TC Size (in.): " => "上垂木寸法 (in.): ",
		"BC Size (in.): " => "下垂木寸法 (in.): ",
		"Web Size (in.): " => "内装材寸法 (in.): ",
		"Ply Thickness (in.): " => "プライの厚さ (in.): ",
		"Raised Heel: " => "上踵: ",
		"Heel Height (in.): " => "踵高さ (in.): ",
		"Parameters" => "パラメーター",
		"Bldg. Length (ft.): " => "建物の長さ (ft.): ",
		"Truss Spacing (in.): " => "トラスの間隔 (in.): ",
		"Gable End Trusses: " => "切り妻のトラス: ",
		"Gable Stud Spacing (in.): " => "切り妻のスタッド間隔 (in.): ",
		"Adv. Roof Options: " => "高度な屋根選択: ",
		"test" => "test"
		})

		end

	elsif @Language_db == "sv"

		@Langname = "Svenska"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "Geometri",
		"Truss Type: " => "Typ av Takstol: ",
		"Out-to-out Span (m): " => "Spännvidd (m): ",
		"Top chord Pitch (x/12): " => "Oberer Akkordabstand (x/12): ",
		"Top chord Angle (deg): " => "Oberer Akkordabstand (deg): ",
		"Overhang Left (mm): " => "Överhäng vänster (mm): ",
		"Overhang Right (mm): " => "Överhäng höger (mm): ",
		"TC Size (mm): " => "Översta ackordet Storlek (mm): ",
		"BC Size (mm): " => "Underdel ackordet Storlek (mm): ",
		"Web Size (mm): " => "Webbstorlek (mm): ",
		"Ply Thickness (mm): " => "Lager Tjocklek (mm): ",
		"Raised Heel: " => "Upphöjd Häl: ",
		"Heel Height (mm): " => "Hälhöjden (mm): ",
		"Parameters" => "Parametrar",
		"Bldg. Length (m): " => "Bygglängd (m): ",
		"Truss Spacing (mm): " => "Takstolavstånd (mm): ",
		"Gable End Trusses: " => "Gaveländ Takstol: ",
		"Gable Stud Spacing (mm): " => "Gavel Dubb Avstånd (mm): ",
		"Adv. Roof Options: " => "Avancerade Takalternativ: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "Geometri",
		"Truss Type: " => "Typ av Takstol: ",
		"Out-to-out Span (ft.): " => "Spännvidd (ft.): ",
		"Top chord Pitch (x/12): " => "Oberer Akkordabstand (x/12): ",
		"Top chord Angle (deg): " => "Oberer Akkordabstand (deg): ",
		"Overhang Left (in.): " => "Överhäng vänster (in.): ",
		"Overhang Right (in.): " => "Överhäng höger (in.): ",
		"TC Size (in.): " => "Översta ackordet Storlek (in.): ",
		"BC Size (in.): " => "Underdel ackordet Storlek (in.): ",
		"Web Size (in.): " => "Webbstorlek (in.): ",
		"Ply Thickness (in.): " => "Lager Tjocklek (in.): ",
		"Raised Heel: " => "Upphöjd Häl: ",
		"Heel Height (in.): " => "Hälhöjden (in.): ",
		"Parameters" => "Parametrar",
		"Bldg. Length (ft.): " => "Bygglängd (ft.): ",
		"Truss Spacing (in.): " => "Takstolavstånd (in.): ",
		"Gable End Trusses: " => "Gaveländ Takstol: ",
		"Gable Stud Spacing (in.): " => "Gavel Dubb Avstånd (in.): ",
		"Adv. Roof Options: " => "Avancerade Takalternativ: ",
		"test" => "test"
		})

		end

	elsif @Language_db == "ko"

		
		@Langname = "한국어"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "기하학",
		"Truss Type: " => "트러스 유형: ",
		"Out-to-out Span (m): " => "전폭 (m): ",
		"Top chord Pitch (x/12): " => "상단현 (x/12): ",
		"Top chord Angle (deg): " => "상단현 (deg): ",
		"Overhang Left (mm): " => "쑥 내밀음 좌회전(mm): ",
		"Overhang Right (mm): " => "쑥 내밀음 우회전(mm): ",
		"TC Size (mm): " => "상단현큼 (mm): ",
		"BC Size (mm): " => "바닥현큼 (mm): ",
		"Web Size (mm): " => "직포큼 (mm): ",
		"Ply Thickness (mm): " => "주름 한 장 (mm): ",
		"Raised Heel: " => "발 뒤꿈치: ",
		"Heel Height (mm): " => "발 뒤꿈치 높이 (mm): ",
		"Parameters" => "매개 변수들",
		"Bldg. Length (m): " => "건물 길이 (m): ",
		"Truss Spacing (mm): " => "트러스 간격 (mm): ",
		"Gable End Trusses: " => "박공 트러스: ",
		"Gable Stud Spacing (mm): " => "박공 스터드 간격 (mm): ",
		"Adv. Roof Options: " => "고급 지붕 옵션: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "기하학",
		"Truss Type: " => "트러스 유형: ",
		"Out-to-out Span (ft.): " => "전폭 (ft.): ",
		"Top chord Pitch (x/12): " => "상단현 (x/12): ",
		"Top chord Angle (deg): " => "상단현 (deg): ",
		"Overhang Left (in.): " => "쑥 내밀음 좌회전(in.): ",
		"Overhang Right (in.): " => "쑥 내밀음 우회전(in.): ",
		"TC Size (in.): " => "상단현큼 (in.): ",
		"BC Size (in.): " => "바닥현큼 (in.): ",
		"Web Size (in.): " => "직포큼 (in.): ",
		"Ply Thickness (in.): " => "주름 한 장 (in.): ",
		"Raised Heel: " => "발 뒤꿈치: ",
		"Heel Height (in.): " => "발 뒤꿈치 높이 (in.): ",
		"Parameters" => "매개 변수들",
		"Bldg. Length (ft.): " => "건물 길이 (ft.): ",
		"Truss Spacing (in.): " => "트러스 간격 (in.): ",
		"Gable End Trusses: " => "박공 트러스: ",
		"Gable Stud Spacing (in.): " => "박공 스터드 간격 (in.): ",
		"Adv. Roof Options: " => "고급 지붕 옵션: ",
		"test" => "test"
		})

		end

	elsif @Language_db == "zh"

		
		@Langname = "中文"
		
		@Trs = Hash::new {|hash,key| key }

		if @Unitstemplate == "metric"

		@Trs.update({
		"Geometry" => "几何",
		"Truss Type: " => "类型的桁架: ",
		"Out-to-out Span (m): " => "跨度 (m): ",
		"Top chord Pitch (x/12): " => "上弦坡度 (x/12): ",
		"Top chord Angle (deg): " => "上弦坡度 (deg): ",
		"Overhang Left (mm): " => "悬垂左 (mm): ",
		"Overhang Right (mm): " => "悬垂右 (mm): ",
		"TC Size (mm): " => "上弦尺寸 (mm): ",
		"BC Size (mm): " => "下弦尺寸 (mm): ",
		"Web Size (mm): " => "卷筒纸尺寸 (mm): ",
		"Ply Thickness (mm): " => "股厚度 (mm): ",
		"Raised Heel: " => "提高脚跟: ",
		"Heel Height (mm): " => "鞋跟的高度 (mm): ",
		"Parameters" => "参数",
		"Bldg. Length (m): " => "建筑长度 (m): ",
		"Truss Spacing (mm): " => "桁架间距 (mm): ",
		"Gable End Trusses: " => "山墙桁架: ",
		"Gable Stud Spacing (mm): " => "山墙螺柱间距 (mm): ",
		"Adv. Roof Options: " => "先进的屋顶选项: ",
		"test" => "test"
		})

		else

		@Trs.update({
		"Geometry" => "几何",
		"Truss Type: " => "类型的桁架: ",
		"Out-to-out Span (ft.): " => "跨度 (ft.): ",
		"Top chord Pitch (x/12): " => "上弦坡度 (x/12): ",
		"Top chord Angle (deg): " => "上弦坡度 (deg): ",
		"Overhang Left (in.): " => "悬垂左 (in.): ",
		"Overhang Right (in.): " => "悬垂右 (in.): ",
		"TC Size (in.): " => "上弦尺寸 (in.): ",
		"BC Size (in.): " => "下弦尺寸 (in.): ",
		"Web Size (in.): " => "卷筒纸尺寸 (in.): ",
		"Ply Thickness (in.): " => "股厚度 (in.): ",
		"Raised Heel: " => "提高脚跟: ",
		"Heel Height (in.): " => "鞋跟的高度 (in.): ",
		"Parameters" => "参数",
		"Bldg. Length (ft.): " => "建筑长度 (ft.): ",
		"Truss Spacing (in.): " => "桁架间距 (in.): ",
		"Gable End Trusses: " => "山墙桁架: ",
		"Gable Stud Spacing (in.): " => "山墙螺柱间距 (in.): ",
		"Adv. Roof Options: " => "先进的屋顶选项: ",
		"test" => "test"
		})

		end

	else
		@Langname = "English"

		@Trs = Hash::new {|hash,key| key }
		
		@Trs.update({
		"Geometry" => "Geometry",
		"test" => "test"
		})

	end

end







end # << self
end # MedeekMethods Class



	###########################
	#
	# Main Entry into Program
	#
	###########################



	end # MedeekTrussPlugin
end # Medeek Module